Subject: Re: [Gen-art] Genart last call review of draft-ietf-acme-tls-alpn-06

From: Alissa Cooper <[email-masked]>
Date: Wed, 2 Oct 2019 16:28:05 -0400

Linda, thanks for your review. One comment below.

> On Sep 20, 2019, at 6:45 PM, Linda Dunbar via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Linda Dunbar
> Review result: Ready with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-acme-tls-alpn-06
> Reviewer: Linda Dunbar
> Review Date: 2019-09-20
> IETF LC End Date: 2019-09-25
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary:
> This document specifies a new "challenges" for Automated Certificate Management
> Environment
> 
> Major issues:
> 
> Minor issues:
> 
> Nits/editorial comments:
> The 3rd paragraph of the Introduction stated that this New Challenges requires
> negotiating a new application layer protocol, but no existing software
> implements this protocol. Therefore the ability to fulfill this challenges is
> effectively "opt-in". I find the statement is quite confusing. Does it mean
> that it is necessary to manually add processing to handle the challenge because
> there is no implementation of auto negotiation?

I think the point of this text is just to explain why the validation model was designed as it was — because it need not accommodate any existing deployed base.

I entered a No Objection ballot.

Alissa

> 
> Thanks,
> Linda Dunbar
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art